<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JS_homework_3_functions</title>
</head>
<body>
<script>
    let x = prompt('Enter number');
        while (isNaN(x) || x == '') {
        x = prompt('Enter a number', x);
    }
    x = +x;
    let y = prompt('Enter another number');
        while (isNaN(y) || y == '') {
        y = prompt('Enter another number', y);
    }
    y = +y;
    let operation = prompt('Chose the operation "+" or "-" or "*" or "/" here ');
    let result;
    function calc(x, y, operation) {
        if (operation === '+') {
            result = x + y;
            return console.log(result);
        }
        if (operation === '-') {
            result = x - y;
            return console.log(result);
        }
        if (operation === '*') {
            result = x * y;
            return console.log(result);
        }
        if (operation === '/') {
            result = x / y;
            return console.log(result);
        }
        else {
            console.log('Not a valid operation')
        }
    }
    calc(x, y, operation);
</script>
</body>
</html>